Package org.kapott.hbci.GV_Result

# Class GVRWPDepotList.Entry.Gattung

java.lang.Object
org.kapott.hbci.GV_Result.GVRWPDepotList.Entry.Gattung

Enclosing class:
  `GVRWPDepotList.Entry`

public static final class GVRWPDepotList.Entry.Gattung extends Object
Enhält Informationen zu einer Wertpapiergattung

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`GVRWPDepotList.Entry.Gattung.SubSaldo`
Untersaldoinformationen, das heißt Informationen über die Zusammensetzung des Saldos einer Wertpapiergattung.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`branche`
Branchenschlüssel gemäß WM GD 200 (optional)
`String`
`countryEmittent`
Land des Emittenten (Country-Code wie in Kontodaten) (optional)
`String`
`curr`
Depotwährung (optional)
`int`
`days`
Anzahl der aufgelaufenen Tage (optional)
`BigDecimalValue`
`depotwert`
Kurswert zum Gesamtsaldo `saldo` (optional)
`BigDecimalValue`
`einstandspreis`
Einstandspreis/-kurs (optional).
`Date`
`faellig`
Fälligkeitsdatum (optional)
`String`
`isin`
ISIN des Wertpapiers (optional)
`Date`
`kauf`
Kaufdatum (optional)
`BigDecimalValue`
`kontraktbasispreis`
`int`
`kontraktsize`
`int`
`kontrakttype`
`Date`
`kontraktverfall`
`int`
`kontraktversion`
`String`
`name`
Wertpapierbezeichnung
`BigDecimalValue`
`price`
Preis pro Einheit (optional).
`static final int`
`PRICE_QUALIF_HINT`
`static final int`
`PRICE_QUALIF_MRKT`
`static final int`
`PRICE_TYPE_PRCT`
`static final int`
`PRICE_TYPE_VALUE`
`int`
`pricequalifier`
Hinweise zum Preis `price` (optional).
`int`
`pricetype`
Gibt den Typ des Preises `price` an (optional).
`BigDecimalValue`
`saldo`
Gesamtsaldo dieser Gattung.
`int`
`saldo_type`
Typ des Gesamtsaldos.
`int`
`source`
Herkunft von Preis/Kurs (optional).
`String`
`source_comment`
Bemerkungen zur Herkunft von Preis/Kurs `source` (optional).
`static final int`
`SOURCE_LOC`
`static final int`
`SOURCE_SELLER`
`static final int`
`SOURCE_THEOR`
`BigDecimalValue`
`stueckzinsbetrag`
Betrag der Stückzinsen (optional)
`String`
`symbol`
`Date`
`timestamp_price`
Zeitpunkt, wann `price` notiert wurde (optional).
`String`
`underlyingisin`
`String`
`underlyingwkn`
`String`
`wkn`
WKN des Wertpapiers (optional)
`String`
`wptype`
Wertpapierart gemäß WM GD 195 (optional)
`String`
`xchg_cur1`
`String`
`xchg_cur2`
`double`
`xchg_kurs`
`long`
`zinssatz`
Zinssatz als Prozentangabe bei verzinslichen Papieren (optional)

## Constructor Summary

Constructors
Constructor
Description
`Gattung()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addSubSaldo(GVRWPDepotList.Entry.Gattung.SubSaldo subsaldo)`
`GVRWPDepotList.Entry.Gattung.SubSaldo[]`
`getEntries()`
Gibt alle Unter-Saldoinformationen in einem Array zurück.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PRICE_TYPE_PRCT

public static final int PRICE_TYPE_PRCT

See Also:
  - Constant Field Values

### PRICE_TYPE_VALUE

public static final int PRICE_TYPE_VALUE

See Also:
  - Constant Field Values

### PRICE_QUALIF_MRKT

public static final int PRICE_QUALIF_MRKT

See Also:
  - Constant Field Values

### PRICE_QUALIF_HINT

public static final int PRICE_QUALIF_HINT

See Also:
  - Constant Field Values

### SOURCE_LOC

public static final int SOURCE_LOC

See Also:
  - Constant Field Values

### SOURCE_THEOR

public static final int SOURCE_THEOR

See Also:
  - Constant Field Values

### SOURCE_SELLER

public static final int SOURCE_SELLER

See Also:
  - Constant Field Values

### isin

public String isin
ISIN des Wertpapiers (optional)

### wkn

public String wkn
WKN des Wertpapiers (optional)

### name

public String name
Wertpapierbezeichnung

### pricetype

public int pricetype
Gibt den Typ des Preises `price` an (optional).

- `PRICE_TYPE_PRCT` - Preis ist ein Prozentsatz
- `PRICE_TYPE_VALUE` - Preis ist ein Geldbetrag

### pricequalifier

public int pricequalifier
Hinweise zum Preis `price` (optional).

- `PRICE_QUALIF_MRKT` - Marktpreis (z.B. aktueller Börsenkurs)
- `PRICE_QUALIF_HINT` - Hinweispreis (rechnerischer bzw. ermittelter Preis)

### price

public BigDecimalValue price
Preis pro Einheit (optional). Die Währung ist bei `pricetype`=`PRICE_TYPE_PRCT` auf "%" gesetzt.

### source

public int source
Herkunft von Preis/Kurs (optional).

- `SOURCE_LOC` - lokale Börse
- `SOURCE_THEOR` - theoretischer Wert
- `SOURCE_SELLER` - Verkäufer als Quelle

### source_comment

public String source_comment
Bemerkungen zur Herkunft von Preis/Kurs `source` (optional). Bei `source`=`SOURCE_LOC` kann der Name der Börse als MIC angegeben werden

### timestamp_price

public Date timestamp_price
Zeitpunkt, wann `price` notiert wurde (optional).

### saldo_type

public int saldo_type
Typ des Gesamtsaldos.

- `GVRWPDepotList.Entry.SALDO_TYPE_STCK` - Saldo ist eine Stückzahl
- `GVRWPDepotList.Entry.SALDO_TYPE_WERT` - Saldo ist ein Betrag

### saldo

public BigDecimalValue saldo
Gesamtsaldo dieser Gattung. Das Währungsfeld ist in jedem Fall ein leerer String!.

### days

public int days
Anzahl der aufgelaufenen Tage (optional)

### depotwert

public BigDecimalValue depotwert
Kurswert zum Gesamtsaldo `saldo` (optional)

### stueckzinsbetrag

public BigDecimalValue stueckzinsbetrag
Betrag der Stückzinsen (optional)

### xchg_cur1

public String xchg_cur1

### xchg_cur2

public String xchg_cur2

### xchg_kurs

public double xchg_kurs

### curr

public String curr
Depotwährung (optional)

### wptype

public String wptype
Wertpapierart gemäß WM GD 195 (optional)

### branche

public String branche
Branchenschlüssel gemäß WM GD 200 (optional)

### countryEmittent

public String countryEmittent
Land des Emittenten (Country-Code wie in Kontodaten) (optional)

### kauf

public Date kauf
Kaufdatum (optional)

### faellig

public Date faellig
Fälligkeitsdatum (optional)

### einstandspreis

public BigDecimalValue einstandspreis
Einstandspreis/-kurs (optional). Die Währung ist "%", wenn es sich um eine Prozentabgabe handelt

### zinssatz

public long zinssatz
Zinssatz als Prozentangabe bei verzinslichen Papieren (optional)

### kontrakttype

public int kontrakttype

### kontraktverfall

public Date kontraktverfall

### kontraktversion

public int kontraktversion

### kontraktsize

public int kontraktsize

### symbol

public String symbol

### underlyingwkn

public String underlyingwkn

### underlyingisin

public String underlyingisin

### kontraktbasispreis

public BigDecimalValue kontraktbasispreis

## Constructor Details

### Gattung

public Gattung()

## Method Details

### addSubSaldo

public void addSubSaldo(GVRWPDepotList.Entry.Gattung.SubSaldo subsaldo)

### getEntries

public GVRWPDepotList.Entry.Gattung.SubSaldo[] getEntries()
Gibt alle Unter-Saldoinformationen in einem Array zurück. Der Rückgabewert ist niemals `null`, das Array kann aber die Länge `0` haben.

Returns:
  Array mit Untersaldoinformationen

### toString

public String toString()

Overrides:
  `toString` in class `Object`